###**********************************************************

clusterhulls <- function(x, cluster, col = palette(), lwd = 3, ...) {
    stopifnot(is.matrix(x) | is.data.frame(x), ncol(x) == 2)
    x <- as.matrix(x)
    stopifnot(is.numeric(x))
    stopifnot(is.factor(cluster) |
              is.vector(cluster) & (is.numeric(cluster) | is.integer(cluster)))
    stopifnot(nrow(x) == length(cluster))
    cluster <- as.integer(cluster)
    stopifnot(all(cluster > 0))
    
    K <- max(cluster)
    col <- rep(col, length.out = K)

    plot(x, col = col[cluster], pch = cluster, ...)

    for (k in 1:max(cluster)) {
        ok <- (cluster == k)
        if (length(ok) > 3) {
            hpts <- chull(x[ok, , drop = FALSE])
            polygon(x[ok, , drop = FALSE][c(hpts, hpts[1]), ],
                    border = col[k], lty = 1, lwd = lwd)
        }
    }
    invisible()
}

###**********************************************************
