######################################################################
## 5.4
## Algorithms with integrated variable selection
######################################################################

suppressWarnings(RNGversion("3.5"))

######################################################################
## 5.4.2 Biclustering algorithms
######################################################################

library("biclust")
data("ausActiv", package = "MSA")
ausact.bic <- biclust(x = ausActiv, method = BCrepBimax, 
  minc = 2, minr = 50, number = 100, maxc = 100)

par(mar = c(5, 10, 1, 10))
biclustmember(x = ausActiv, bicResult = ausact.bic, main = "", 
              color = rev(sequential_hcl(101)), xlab = "Segment")

######################################################################
## 5.4.3 Variable selection for clustering binary data
######################################################################

data("vacmot", package = "flexclust")

set.seed(1234)
library("MSA")
vacmot.sv <- vsbd(vacmot, centers = 6, delta = 0.5)
colnames(vacmot)[vacmot.sv]

library("flexclust")
vacmot.vsbd <- stepcclust(vacmot[, vacmot.sv], k = 6, nrep = 10)
barchart(vacmot.vsbd)


