\name{ausActivDesc}
\alias{ausActivDesc}
\docType{data}
\title{Descriptor information for the Australian vacation activities
  data set}
\description{

  A data frame containing the descriptor variable information from the
  adult Australian residents where the information on the vacation
  activities undertaken is available in \code{AusActiv}.
  
}
\usage{data("ausActivDesc")}
\format{
  A data frame with 1003 observations on the following 26 variables.
  \describe{
    \item{\code{info.brochures.destination}}{a numeric vector}
    \item{\code{info.brochures.hotel}}{a numeric vector}
    \item{\code{info.brochures.tour.operator}}{a numeric vector}
    \item{\code{info.travel.agent}}{a numeric vector}
    \item{\code{info.tourist.centre}}{a numeric vector}
    \item{\code{info.advertising.newspapers}}{a numeric vector}
    \item{\code{info.travel.guides}}{a numeric vector}
    \item{\code{info.friends.relatives}}{a numeric vector}
    \item{\code{info.work.colleagues}}{a numeric vector}
    \item{\code{info.radio}}{a numeric vector}
    \item{\code{info.TV}}{a numeric vector}
    \item{\code{info.internet}}{a numeric vector}
    \item{\code{info.exhibitions}}{a numeric vector}
    \item{\code{info.slide.nights}}{a numeric vector}
    \item{\code{book.internet}}{a numeric vector}
    \item{\code{book.phone}}{a numeric vector}
    \item{\code{book.at.destination}}{a numeric vector}
    \item{\code{book.travel.agent}}{a numeric vector}
    \item{\code{book.other}}{a numeric vector}
    \item{\code{book.someone.else}}{a numeric vector}
    \item{\code{spendpppd}}{a numeric vector}
    \item{\code{TV.channel}}{a factor with levels \code{Regional programs on national channels} \code{Channel 7 (National)} \code{Channel 9 (National)} \code{Channel 10 (National)} \code{ABC (National)} \code{SBS (National)} \code{Pay TV} \code{Other (please specify)}}
  }
}
\source{
  Katie Cliff (nee Lazarevski).
}
\seealso{
  \code{\link{ausActiv}}
}
\references{

  Cliff K (2009) A formative index of segment attractiveness: Optimising
  segment selection for tourism destinations. PhD thesis, School of
  Management and Marketing, Faculty of Commerce, University of
  Wollongong, Australia.

  Dolnicar S, Kaiser S, Lazarevski K, Leisch F (2012) Biclustering:
  Overcoming data dimensionality problems in market
  segmentation. Journal of Travel Research 51(1):41-49.

}
\keyword{datasets}
