\name{clusterhulls}
\alias{clusterhulls}
\title{Plot data with cluster hulls}
\description{
  The data is plotted coloring the points by cluster and adding cluster hulls.
}
\usage{
clusterhulls(x, cluster, col = palette(), lwd = 3, ...)
}
\arguments{
  \item{x}{A 2-dimensional matrix or data frame coercable to a numeric matrix.}
  \item{cluster}{A numeric vector or factor of length equal to the
    number of rows of \code{x}.}
  \item{col}{A specification for the colors used to indicate the clusters.}
  \item{lwd}{The line width, a _positive_ number, defaulting to \code{1}.}
  \item{\dots}{Arguments to be passed to \code{plot}.}
}
\author{Friedrich Leisch}
\seealso{
  \code{\link[flexclust]{plot,kcca,missing-method}}
}
\examples{
  data("themepark", package = "MSA")
  clusterhulls(themepark, rep(1:2, c(200, 120)))
}
\keyword{hplot}
