\name{decisionMatrix}
\alias{decisionMatrix}
\title{Segment evaluation plot}
\description{
  Create a segment evaluation plot.
}
\usage{
decisionMatrix(x, y, wx = rep(1, nrow(x)), wy = rep(1, nrow(y)),
size = rep(1, ncol(x)), names = colnames(x),
xlab = "How attractive is the segment to us?",
ylab = "How attractive are we to the segment?", ...)
}
\arguments{
  \item{x}{A numeric matrix with nonnegative entries and with the same
    dimension as \code{y}.}
  \item{y}{A numeric matrix with nonnegative entries and with the same
    dimension as \code{x}.}
  \item{wx}{A numeric vector with nonnegative entries of length equal to
    the number of rows of \code{x} and \code{y} and positive sum.}
  \item{wy}{A numeric vector with nonnegative entries of length equal to
    the number of rows of \code{x} and \code{y} and positive sum.}
  \item{size}{A numeric vector with nonnegative entries of length equal
    to the number of columns of \code{x} and \code{y}.}
  \item{names}{A character vector of length equal 
    to the number of columns of \code{x} and \code{y} or \code{NULL}.}
  \item{xlab}{A string.}
  \item{ylab}{A string.}
  \item{\dots}{Additional arguments passed to \code{plot}.}
}
\author{Friedrich Leisch}
\examples{
x <- cbind(Seg.1 = c(5, 2, 10, 8, 9),
           Seg.2 = c(10, 1, 6, 4, 6),
           Seg.3 = c(1, 2, 4, 2, 1),
           Seg.4 = c(5, 6, 4, 7, 4),
           Seg.5 = c(10, 9, 8, 10, 7),
           Seg.6 = c(3, 4, 2, 8, 9),
           Seg.7 = c(1, 2, 1, 3, 7),
           Seg.8 = c(10, 10, 9, 10, 8))
rownames(x) <- paste("criterion", seq_len(nrow(x)))
wx <- c(25, 35, 20, 10, 10)/100

y <- cbind(Seg.1 = c(2, 3, 4, 9, 1),
           Seg.2 = c(10, 10, 10, 8, 8),
           Seg.3 = c(10, 4, 8, 3, 6),
           Seg.4 = c(10, 6, 7, 9, 2),
           Seg.5 = c(1, 2, 3, 4, 1),
           Seg.6 = c(5, 4, 3, 5, 4),
           Seg.7 = c(2, 3, 1, 3, 4),
           Seg.8 = c(9, 8, 10, 9, 8))
rownames(y) <- paste("criterion", seq_len(nrow(y)))
wy <- c(25, 25, 25, 15, 10)/100

size <- c(3, 7, 8, 5, 7, 3, 6, 2) * 0.75

decisionMatrix(x, y, wx, wy, size = size)
}
\keyword{hplot}
