\name{mcdonalds}
\alias{mcdonalds}
\docType{data}
\title{McDonald's image data}
\description{

  Brand image data on McDonald's from adult Australian residents as well
  as some descriptor variables including how much McDonald's is liked,
  age, gender and the frequency of visiting McDonald's restaurants.
  
}
\usage{data("mcdonalds")}
\format{
  A data frame with 1453 observations on the following 15 variables.
  \describe{
    \item{\code{yummy}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{convenient}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{spicy}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{fattening}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{greasy}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{fast}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{cheap}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{tasty}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{expensive}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{healthy}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{disgusting}}{a factor with levels \code{No} \code{Yes}}
    \item{\code{Like}}{an ordered factor with levels \code{I love it!+5}
      < \code{+4} < \code{+3} < \code{+2} < \code{+1} < \code{0}
      < \code{-1} < \code{-2} < \code{-3} < \code{-4} < \code{I hate it!-5}}
    \item{\code{Age}}{a numeric vector}
    \item{\code{VisitFrequency}}{an ordered factor with levels
      \code{Never} < \code{Once a year} < 
      \code{Every three months} < \code{Once a month} <
      \code{Once a week} < \code{More than once a week}}
    \item{\code{Gender}}{a factor with levels \code{Male} \code{Female}}
  }
}
\details{

  The purpose of data collection was a comparative study of the
  stability of survey responses in dependence of answer formats offered
  to respondents. 

}
\source{
  Sara Dolnicar, John Rossiter.
}
\references{

  Dolnicar S, Leisch F (2012) One legacy of Mazanec: Binary questions
  are a simple, stable and valid measure of evaluative
  beliefs. International Journal of Culture, Tourism and Hospitality
  Research 6(4):316-325.

  Dolnicar S, Grün B (2014) Including `Don't know' answer options in
  brand image surveys improves data quality. International Journal of
  Market Research 56(1):33-50.

 
 
}
\keyword{datasets}
