\name{risk}
\alias{risk}
\docType{data}
\title{Risk aversion}
\description{
  Survey data from 563 respondents on frequency of risk taking on six
  different types.
}
\usage{data("risk")}
\format{

  \code{risk} is a matrix with 563 respondents (rows) and 6 variables
  (columns) named \code{Recreational}, \code{Health}, \code{Career},
  \code{Financial}, \code{Safety} and \code{Social}.
}
\details{

  The data was collected by academic researchers using a permission
  based online panel.
  
  The sample was taken from adult Australian residents who have
  undertaken at least one holiday in the last year which involved
  staying away from home for at least four nights.

  The respondents were asked: ``Which risks have you taken in the
  past?'' and answered on a 5-point scale with options:
  \itemize{
  \item Never (1)
  \item Rarely (2)
  \item Quite often (3)
  \item Often (4)
  \item Very often (5)
  }

  The six types of risk were:
  \itemize{
  \item Recreational risks (e.g., rock-climbing, scuba diving)
  \item Health risks (e.g., smoking, poor diet, high alcohol consumption)
  \item Career risks (e.g., quitting a job without another to go to)
  \item Financial risks (e.g., gambling, risky investments)
  \item Safety risks (e.g., speeding)
  \item Social risks (e.g., standing for election, publicly challenging
  a rule or decision)
  }
}
\source{Sara Dolnicar}
\references{

 Hajibaba H, Dolnicar S (2017) Helping when disaster hits. In: Dolnicar
 S (ed) Peer-to-Peer Accommodation Networks: Pushing the Boundaries,
 Goodfellow Publishers, Oxford, chap 21, pp. 235-243.

 Hajibaba H, Karlsson L, Dolnicar S (2017) Residents open their homes to
 tourists when disaster strikes. Journal of Travel Research
 56(8):1065-1078.

}
\keyword{datasets}
