\name{themepark}
\alias{themepark}
\docType{data}
\title{Artificial data set for mixtures of regressions}
\description{

  Artificial data from a two-component finite mixture of regressions
  model to illustrate their application. 
  
}
\usage{data("themepark")}
\format{
  A data frame with 320 observations on the following 2 variables.
  \describe{
    \item{\code{rides}}{a numeric vector}
    \item{\code{pay}}{a numeric vector}
  }
}
\examples{
## The data can be re-produced using:
set.seed(1234)
x1 <- as.integer(50 * runif(200))
x2 <- as.integer(50 * runif(120))
y1 <- pmax(x1 + 2 * rnorm(length(x1)), 0)
y2 <- pmax(x2^2/80 + 2 * rnorm(length(x2)), 0)
themepark <- data.frame(rides = c(x1, x2), pay = c(y1, y2))
}
\keyword{datasets}
